# Replace a group

Launch stage: Public Preview

`PUT /api/2.0/preview/scim/v2/Groups/{id}`

Updates the details of a group by replacing the entire group entity.

API scopes: scim

## Path parameters

- `id` (string, int64, required)
  Databricks group ID

## Request body

- `displayName` (string, optional)
  String that represents a human-readable group name
- `entitlements` (array of object, optional)
  Entitlements assigned to the group. See [assigning entitlements](https://docs.databricks.com/administration-guide/users-groups/index.html#assigning-entitlements) for a full list of supported values.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `externalId` (string, optional)
- `groups` (array of object, optional)
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `members` (array of object, optional)
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `roles` (array of object, optional)
  Corresponds to AWS instance profile/arn role.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `schemas` (array of string, optional)
  The schema of the group.
  Possible values:
  - `GROUP_SCHEMA_UNSPECIFIED`
  - `urn:ietf:params:scim:schemas:core:2.0:Group`

## Response

```json
{}
```

